# Retrieve payment details using a ubr

Endpoint: GET /payouts/events/{ubr}
Version: 2
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `ubr` (string, required)

## Header parameters:

  - `WP-CorrelationId` (string)

  - `WP-CallerId` (string)
    An ID used for logging purposes.

  - `WP-Timestamp` (string)

  - `Accept` (string)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `paymentId` (string)
    Unique identifier associated with the payment. GUID.

  - `paymentDatetime` (string)
    Date and time of the payment submission. DateTime ISO 8601.

  - `payeeName` (string)
    Complete payee name for the payout. This will be one of (depending on the beneficiary type):
fullName- concatenated value from title + firstName + middleName + lastName
companyName.

  - `sourceCurrency` (string)
    ISO 4217 alpha-3 currency code for the remitter account.

  - `sourceAmount` (number)
    Source amount. 18 digit precision including 2 decimal places.

  - `targetCurrency` (string)
    Target ISO 4217 alpha-3 currency codes for the payout.

  - `targetAmount` (number)
    Target amount.

  - `paymentState` (string)
    State of the payment. See appendix for possible states.

  - `bankName` (string)
    Name of the payee (beneficiary) bank which the payout is being made to.

  - `bankCode` (string)
    Beneficiary bank account bank code.

  - `iban` (string)
    Beneficiary IBAN. You must either provide the beneficiary's IBAN or account number.

  - `channel` (string)
    List of the channels that were sent in the request for this payout

  - `routedChannel` (string)
    The channel that was used to process this payout

  - `bankReference` (string)
    A bank-generated reference that enables customers to track their payout within the payment network. This feature is only available for specific routes. For details on availability, please contact your Relationship Manager.

  - `ubr` (string, required)
    Unique payout request ID associated with a payout submitted through our Account Payouts API. PN/PZ/PO prefix plus 6 characters, e.g. PZ000N65. Five numbers, a letter and finally two/four further numbers.

  - `narrative` (string)
    Reference provided by the remitter of the payment (unique for a remitter). In Account Payouts API - merchantNarrative.

  - `transactionReference` (string)
    Unique reference provided by you.

  - `beneficiaryAccountNumber` (string)
    Beneficiary bank account number. You must either provide beneficiary's account number or IBAN. Special characters are allowed.

  - `swiftBic` (string)
    Beneficiary bank account SWIFT/BIC.

  - `entity` (string, required)
    6-digit reference given to you by your Worldpay Implementation Manager during the onboarding process.

  - `countryCode` (string)
    ISO 3166-1 Alpha-2 country code of the payout destination.

  - `payoutInstrumentId` (string)
    An ID generated by us, holding the beneficiary bank details.You have received this in the response of your "payout instrument creation" call using the Parties API.

  - `payoutInstrumentReference` (string)
    A reference of the payoutInstrument created by you. This field holds the beneficiary bank details. When not sending the `payoutInstrumentReference` you can use the `payoutInstrumentId` instead. When sending both, ensure they relate to the same payoutInstrument.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `httpStatusCode` (integer)
    The HTTP Status Code of the response.

  - `customCode` (string)
    Code that is mapped representing a specific scenario.Custom Codes.

  - `message` (string)
    A descriptive message providing more details about the response.

  - `errors` (object)
    Dictionary of errors, containing property name and error description.

